package org.jabricks.templates;

/**
 * Активатор формы
 */

// import javax.swing.JFrame;

import java.util.Locale;
import java.awt.Container;

import org.osgi.framework.BundleContext;
import org.jabricks.jpanel.JBPanelActivator;

public class JPanelActivator extends JBPanelActivator
{
    //-----------------------------------------------------------------------------------------------------------------
	/**
	 * Процедура старта, вызывается фреймворком
	 * @param context   
	 */
	@Override
    public void start(final BundleContext context) throws Exception
    {
		super.start(context);

        // Подключение слушателей ("подписка")
    	createLocaleSubscriber  ();
    	createJFrameSubscriber  (this);
    	
        // Запрос контейнера ("публикация")
    	sendContainerRequestEvent(JPanelForm.class.getName());
    }
    //-----------------------------------------------------------------------------------------------------------------
    @Override
    public void changeLocale (Locale locale) 
    {
    	((JPanelForm)jpanel).changeLocale(locale);
    }
    //-----------------------------------------------------------------------------------------------------------------
    @Override
    public void getJFrameResponseContainer(Container container)
    {
    	jpanel = new JPanelForm(this);
    	((JPanelForm)jpanel).createGUI(container);
    	
    }
    //-----------------------------------------------------------------------------------------------------------------
	/**
	 * Callback метод сохранения параметров настроек интерфейса панели.  Вызывается перед остановкой бандла
	 * (переводом бандла в состояние RESOLVED).
	 */
    @Override
	public void saveComponentParams() 
	{
		if (jpanel != null)
			jpanel.saveComponentParams();
	}
    //-----------------------------------------------------------------------------------------------------------------
}
